Upgrade Sentinels

Upgrade Sentinels
Performs a POST operation on one or more sentinel Resource.

Performs a POST operation on one or more sentinel Resource.

Request
URI
POST
https://{server}/hybridity/api/sentinels/upgrade
COPY
Request Body

sentinels request body

sentinelsRequest of type(s) application/json
Required
{
    "sentinels": [
        {
            "sentinelId": "string"
        }
    ]
}
array of object
sentinels
Optional

An array of JSON objects containing sentinel IDs.

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns sentinelsResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "sentinelId": "string",
            "message": "Unable to upgrade. Source system is disconnected."
        }
    ],
    "messages": [
        {
            "code": "string",
            "sentinelId": "string",
            "message": "Sentinel is already on the latest version."
        }
    ]
}
array of object
errors
Optional

Provides detail errors.

array of object
messages
Optional

Provides informational messages.


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
"errorResponse Object"
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/hybridity/api/sentinels/upgrade